Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## datechooser.view
Class AbstractNavigatePane

    java.lang.Object
      java.awt.Component
          java.awt.Container
              javax.swing.JComponent
                  javax.swing.JPanel
                      datechooser.view.AbstractNavigatePane

All Implemented Interfaces:
  java.awt.image.ImageObserver, java.awt.MenuContainer, java.beans.PropertyChangeListener, java.io.Serializable, java.util.EventListener, javax.accessibility.Accessible

Direct Known Subclasses:
  ButtonNavigatePane, ComboNavigatePane

    public abstract class AbstractNavigatePane

extends javax.swing.JPanel
implements java.beans.PropertyChangeListener

Abstract navigate panel. Placed over days selection grid and lets select year, month quickly and make null selection.
Обобщенная навигационная панель. Находится над сеткой с днями и позволяет быстро перемещаться по месяцам и годам, также позволяет сделать пустой выбор.

Since:
  1.0
Author:
  Androsov Vadim
See Also:
  Serialized Form

Nested Class Summary
`protected class` | `AbstractNavigatePane.OnShowChange`

Nested classes/interfaces inherited from class javax.swing.JPanel
`javax.swing.JPanel.AccessibleJPanel`

Nested classes/interfaces inherited from class javax.swing.JComponent
`javax.swing.JComponent.AccessibleJComponent`

Nested classes/interfaces inherited from class java.awt.Container
`java.awt.Container.AccessibleAWTContainer`

Nested classes/interfaces inherited from class java.awt.Component
`java.awt.Component.AccessibleAWTComponent, java.awt.Component.BltBufferStrategy, java.awt.Component.FlipBufferStrategy`

Field Summary
`protected boolean` | `editedManually`
`protected java.lang.String[]` | `monthsList`

Fields inherited from class javax.swing.JComponent
`accessibleContext, listenerList, TOOL_TIP_TEXT_KEY, ui, UNDEFINED_CONDITION, WHEN_ANCESTOR_OF_FOCUSED_COMPONENT, WHEN_FOCUSED, WHEN_IN_FOCUSED_WINDOW`

Fields inherited from class java.awt.Component
`BOTTOM_ALIGNMENT, CENTER_ALIGNMENT, LEFT_ALIGNMENT, RIGHT_ALIGNMENT, TOP_ALIGNMENT`

Fields inherited from interface java.awt.image.ImageObserver
`ABORT, ALLBITS, ERROR, FRAMEBITS, HEIGHT, PROPERTIES, SOMEBITS, WIDTH`

Constructor Summary
`AbstractNavigatePane()`

Method Summary
`abstract void` | `applyNothingSelectEnabled(boolean enabled)` Sets null selection allowed.
`protected void` | `autoRefresh()` Обновляет интерфейс в соответствии с текущей датой в автоматическом режиме (не ввод с клавиатуры).
`protected void` | `fireMonthYearChanged()`
`protected DateChoose` | `getModel()`
`abstract int` | `getMonth()` Get selected month.
`abstract int` | `getYear()` Get selected year.
`protected void` | `initMonthList()`
`boolean` | `isNothingSelectEnabled()`
`protected void` | `manualRefresh()` Обновляет интерфейс в соответствии с текущей датой в ручном режиме (ввод с клавиатуры).
`void` | `propertyChange(java.beans.PropertyChangeEvent evt)`
`protected void` | `refresh()` Обновляет интерфейс в соответствии с текущей датой.
`void` | `setEnabled(boolean enabled)`
`void` | `setLocale(java.util.Locale l)`
`void` | `setModel(DateChoose model)`
`abstract void` | `setMonth(int aMonth)` Set month.
`void` | `setNothingSelectEnabled(boolean nothingSelectEnabled)`
`abstract void` | `setYear(int aYear)` Set year.
`protected void` | `someChanged()`
`abstract void` | `updateMonthControl()` Updates month select component.

Methods inherited from class javax.swing.JPanel
`getAccessibleContext, getUI, getUIClassID, paramString, setUI, updateUI`

Methods inherited from class javax.swing.JComponent
`addAncestorListener, addNotify, addVetoableChangeListener, computeVisibleRect, contains, createToolTip, disable, enable, firePropertyChange, firePropertyChange, firePropertyChange, fireVetoableChange, getActionForKeyStroke, getActionMap, getAlignmentX, getAlignmentY, getAncestorListeners, getAutoscrolls, getBorder, getBounds, getClientProperty, getComponentGraphics, getComponentPopupMenu, getConditionForKeyStroke, getDebugGraphicsOptions, getDefaultLocale, getFontMetrics, getGraphics, getHeight, getInheritsPopupMenu, getInputMap, getInputMap, getInputVerifier, getInsets, getInsets, getListeners, getLocation, getMaximumSize, getMinimumSize, getNextFocusableComponent, getPopupLocation, getPreferredSize, getRegisteredKeyStrokes, getRootPane, getSize, getToolTipLocation, getToolTipText, getToolTipText, getTopLevelAncestor, getTransferHandler, getVerifyInputWhenFocusTarget, getVetoableChangeListeners, getVisibleRect, getWidth, getX, getY, grabFocus, isDoubleBuffered, isLightweightComponent, isManagingFocus, isOpaque, isOptimizedDrawingEnabled, isPaintingTile, isRequestFocusEnabled, isValidateRoot, paint, paintBorder, paintChildren, paintComponent, paintImmediately, paintImmediately, print, printAll, printBorder, printChildren, printComponent, processComponentKeyEvent, processKeyBinding, processKeyEvent, processMouseEvent, processMouseMotionEvent, putClientProperty, registerKeyboardAction, registerKeyboardAction, removeAncestorListener, removeNotify, removeVetoableChangeListener, repaint, repaint, requestDefaultFocus, requestFocus, requestFocus, requestFocusInWindow, requestFocusInWindow, resetKeyboardActions, reshape, revalidate, scrollRectToVisible, setActionMap, setAlignmentX, setAlignmentY, setAutoscrolls, setBackground, setBorder, setComponentPopupMenu, setDebugGraphicsOptions, setDefaultLocale, setDoubleBuffered, setFocusTraversalKeys, setFont, setForeground, setInheritsPopupMenu, setInputMap, setInputVerifier, setMaximumSize, setMinimumSize, setNextFocusableComponent, setOpaque, setPreferredSize, setRequestFocusEnabled, setToolTipText, setTransferHandler, setUI, setVerifyInputWhenFocusTarget, setVisible, unregisterKeyboardAction, update`

Methods inherited from class java.awt.Container
`add, add, add, add, add, addContainerListener, addImpl, addPropertyChangeListener, addPropertyChangeListener, applyComponentOrientation, areFocusTraversalKeysSet, countComponents, deliverEvent, doLayout, findComponentAt, findComponentAt, getComponent, getComponentAt, getComponentAt, getComponentCount, getComponents, getComponentZOrder, getContainerListeners, getFocusTraversalKeys, getFocusTraversalPolicy, getLayout, getMousePosition, insets, invalidate, isAncestorOf, isFocusCycleRoot, isFocusCycleRoot, isFocusTraversalPolicyProvider, isFocusTraversalPolicySet, layout, list, list, locate, minimumSize, paintComponents, preferredSize, printComponents, processContainerEvent, processEvent, remove, remove, removeAll, removeContainerListener, setComponentZOrder, setFocusCycleRoot, setFocusTraversalPolicy, setFocusTraversalPolicyProvider, setLayout, transferFocusBackward, transferFocusDownCycle, validate, validateTree`

Methods inherited from class java.awt.Component
`action, add, addComponentListener, addFocusListener, addHierarchyBoundsListener, addHierarchyListener, addInputMethodListener, addKeyListener, addMouseListener, addMouseMotionListener, addMouseWheelListener, bounds, checkImage, checkImage, coalesceEvents, contains, createImage, createImage, createVolatileImage, createVolatileImage, disableEvents, dispatchEvent, enable, enableEvents, enableInputMethods, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, getBackground, getBounds, getColorModel, getComponentListeners, getComponentOrientation, getCursor, getDropTarget, getFocusCycleRootAncestor, getFocusListeners, getFocusTraversalKeysEnabled, getFont, getForeground, getGraphicsConfiguration, getHierarchyBoundsListeners, getHierarchyListeners, getIgnoreRepaint, getInputContext, getInputMethodListeners, getInputMethodRequests, getKeyListeners, getLocale, getLocation, getLocationOnScreen, getMouseListeners, getMouseMotionListeners, getMousePosition, getMouseWheelListeners, getName, getParent, getPeer, getPropertyChangeListeners, getPropertyChangeListeners, getSize, getToolkit, getTreeLock, gotFocus, handleEvent, hasFocus, hide, imageUpdate, inside, isBackgroundSet, isCursorSet, isDisplayable, isEnabled, isFocusable, isFocusOwner, isFocusTraversable, isFontSet, isForegroundSet, isLightweight, isMaximumSizeSet, isMinimumSizeSet, isPreferredSizeSet, isShowing, isValid, isVisible, keyDown, keyUp, list, list, list, location, lostFocus, mouseDown, mouseDrag, mouseEnter, mouseExit, mouseMove, mouseUp, move, nextFocus, paintAll, postEvent, prepareImage, prepareImage, processComponentEvent, processFocusEvent, processHierarchyBoundsEvent, processHierarchyEvent, processInputMethodEvent, processMouseWheelEvent, remove, removeComponentListener, removeFocusListener, removeHierarchyBoundsListener, removeHierarchyListener, removeInputMethodListener, removeKeyListener, removeMouseListener, removeMouseMotionListener, removeMouseWheelListener, removePropertyChangeListener, removePropertyChangeListener, repaint, repaint, repaint, resize, resize, setBounds, setBounds, setComponentOrientation, setCursor, setDropTarget, setFocusable, setFocusTraversalKeysEnabled, setIgnoreRepaint, setLocation, setLocation, setName, setSize, setSize, show, show, size, toString, transferFocus, transferFocusUpCycle`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### editedManually

    protected boolean editedManually

### monthsList

    protected java.lang.String[] monthsList

Constructor Detail

### AbstractNavigatePane

    public AbstractNavigatePane()

Method Detail

### applyNothingSelectEnabled

    public abstract void applyNothingSelectEnabled(boolean enabled)

  Sets null selection allowed.
  С помощью этого метода панель уведомляется, о разрешении пустого выбора. Дело в том что пустой выбор можно сделать только с ее помощью и при запрете этой операции нужно сделать недоступными соответсвтующие элементы управления.

  Since:
    1.0

### updateMonthControl

    public abstract void updateMonthControl()

  Updates month select component.
  Уведомление обновить состояние элемента для выбора месяца в соответствии с моделью.

  Since:
    1.0

### getMonth

    public abstract int getMonth()

  Get selected month.
  Должна возвращать выбранный месяц.

  Since:
    1.0

### getYear

    public abstract int getYear()

  Get selected year.
  Должна возвращать выбранный год.

  Since:
    1.0

### setMonth

    public abstract void setMonth(int aMonth)

  Set month.
  Установить месяц.

  Since:
    1.0

### setYear

    public abstract void setYear(int aYear)

  Set year.
  Установить год.

  Since:
    1.0

### initMonthList

    protected void initMonthList()

### fireMonthYearChanged

    protected void fireMonthYearChanged()

### refresh

    protected void refresh()

  Обновляет интерфейс в соответствии с текущей датой.

  Since:
    1.0

### autoRefresh

    protected void autoRefresh()

  Обновляет интерфейс в соответствии с текущей датой в автоматическом режиме (не ввод с клавиатуры).

  Since:
    1.0

### manualRefresh

    protected void manualRefresh()

  Обновляет интерфейс в соответствии с текущей датой в ручном режиме (ввод с клавиатуры).

  Since:
    1.0

### someChanged

    protected void someChanged()

### getModel

    protected DateChoose getModel()

### propertyChange

    public void propertyChange(java.beans.PropertyChangeEvent evt)

  Specified by:
    `propertyChange` in interface `java.beans.PropertyChangeListener`

### setModel

    public void setModel(DateChoose model)

### setEnabled

    public void setEnabled(boolean enabled)

  Overrides:
    `setEnabled` in class `javax.swing.JComponent`

### setLocale

    public void setLocale(java.util.Locale l)

  Overrides:
    `setLocale` in class `java.awt.Component`

### isNothingSelectEnabled

    public boolean isNothingSelectEnabled()

### setNothingSelectEnabled

    public void setNothingSelectEnabled(boolean nothingSelectEnabled)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD